SDL_SetGamepadMapping(3)

NAME
SDL_SetGamepadMapping - Set the current mapping of a joystick or gamepad.

HEADER FILE
Defined in SDL3/SDL_gamepad.h

SYNOPSIS
#include "SDL3/SDL.h"

int SDL_SetGamepadMapping(SDL_JoystickID instance_id, const char *mapping);

DESCRIPTION
Details about mappings are discussed with SDL_AddGamepadMapping ().

FUNCTION PARAMETERS

instance_id
    the joystick instance ID

mapping
    the mapping to use for this device, or NULL to clear the mapping

RETURN VALUE
Returns 0 on success or a negative error code on failure; call SDL_GetError () for more information.

AVAILABILITY
This function is available since SDL 3.0.0.

SEE ALSO
SDL_AddGamepadMapping(3), SDL_GetGamepadMapping(3)